// tipupdater_runner.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include "tipupdater_runner.h"
#include "Application.h"
#include "UpdaterApplication.h"
#include <shellapi.h>
#include "../../../common/corevalueregistryconst.h"
#include "Registry.h"

#define MAX_LOADSTRING 100

// Global Variables:
HINSTANCE hInst;								// current instance
TCHAR szTitle[MAX_LOADSTRING];					// The title bar text
TCHAR szWindowClass[MAX_LOADSTRING];			// the main window class name

CAppModule _Module;

int APIENTRY _tWinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPTSTR    lpCmdLine,
                     int       nCmdShow)
{
	HRESULT hRes = ::CoInitialize(NULL);
	::DefWindowProc(NULL, 0, 0, 0L);
	AtlInitCommonControls(ICC_COOL_CLASSES | ICC_BAR_CLASSES);	// add flags to support other controls	
	hRes = _Module.Init(NULL, hInstance);
	ATLASSERT(SUCCEEDED(hRes));

#ifndef _DEBUG
	CString strRootPath = Registry::ReadString(HKEY_CURRENT_USER, REGVAL_ROOTPATH, _T("Path"));
	strRootPath += _T("\\Update");
	::SetCurrentDirectory(strRootPath);
#else
	CString strRootPath = _T("C:\\Users\\nhn\\00nts\\NeMessenger\\client_exe\\trunk\\update\\bin\\Debug");
	::SetCurrentDirectory(strRootPath);
#endif
	
	USES_CONVERSION;
	int commandLineCount=0;
	LPWSTR * commandLines = CommandLineToArgvW(CT2W(GetCommandLine()), &commandLineCount);
	std::vector<CString> cmdParameter;
	for (int i = 1; i < commandLineCount; i++)
	{
		cmdParameter.push_back(CString(commandLines[i]));
	}

	tipupdater::UpdaterApplication application(&cmdParameter);
 	application.Run();

	_Module.Term();
	::CoUninitialize();
	return 1;
}
